<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Grid</title>
    <style>

        body, html {
            margin: 0;
            height: 100%;
        }

        .container {
            display: grid;
            grid-template-areas:
                    "header header header"
                    "nav content advert"
                    "footer footer footer";
            grid-gap: 10px;
            height: 100%;
            grid-template-rows: 60px 1fr 60px;
            grid-template-columns: 20% 1fr 20%;
        }

        .super-header,
        .super-nav,
        .super-content,
        .super-advert,
        .super-footer {
            padding: 10px;
            background-color: lightgray;
            border: 1px #788794 solid;
        }

        .super-header {
            grid-area: header;
        }

        .super-nav {
            grid-area: nav;
        }

        .super-content {
            grid-area: content;
        }

        .super-advert {
            grid-area: advert;
        }

        .super-footer {
            grid-area: footer;
        }
    </style>
</head>
<body>
<div class="container">

    <header class="super-header">Header</header>

    <nav class="super-nav">Navigation</nav>

    <main class="super-content">Main content</main>

    <nav class="super-advert">Advertisement</nav>

    <footer class="super-footer">Footer</footer>
</div>
</body>
</html>